Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit
Class AuditService

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.AuditService

    public class AuditService

extends java.lang.Object

To use this do something like :
AtnaAgent agent = new AtnaAgent();
AuditMessage auditMessage = agent.getAudit().eventPending("query");
auditMessage.setEventOutcomeIndicator(eventOutcomeIndicator)
auditMessage.setUserIDActiveParticipantConsumer(userIDActiveParticipantConsumer)
auditMessage.setUserIDActiveParticipantRegistry(userIDActiveParticipantRegistry)
auditMessage.setAuditSourceId(auditSourceId)
auditMessage.setParticipantObjectId(participantObjectId)
auditMessage.setParticipantObjectQuery(participantObjectQuery)
auditMessage.setEventDateTime(datetime);
Or you can do this:
auditMessage = new QueryMessage(new TimeStamp().toString(), 0,"Bill", "Registry", "localhost", "the patient","select eo.id FROM...");
agent.getAudit().eventTriggered(auditMessage);

Constructor Summary
`AuditService()`

Method Summary
`AuditMessage` | `eventPending(java.lang.String eventType)`
`void` | `eventTriggered(AuditMessage auditMessage)`
`java.net.URI` | `getAuditRepository()`
`java.lang.String` | `getHostname()`
`boolean` | `isDoAudit()`
`void` | `setAuditRepository(java.net.URI hosturi)`
`void` | `setDoAudit(boolean doAudit)`
`void` | `setHostname(java.lang.String hostname)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditService

    public AuditService()

Method Detail

### eventPending

    public AuditMessage eventPending(java.lang.String eventType)

### eventTriggered

    public void eventTriggered(AuditMessage auditMessage)

### setHostname

    public void setHostname(java.lang.String hostname)

### getHostname

    public java.lang.String getHostname()

### setAuditRepository

    public void setAuditRepository(java.net.URI hosturi)

### getAuditRepository

    public java.net.URI getAuditRepository()

### setDoAudit

    public void setDoAudit(boolean doAudit)

### isDoAudit

    public boolean isDoAudit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD